Subject: Re: bug#27781: LIBOBJS should depend on LIBOBJDIR

From: Mathieu Lirzin <[email-masked]>
Date: Tue, 08 Aug 2017 23:17:06 +0200

Hello,

Michael Haubenwallner <[email-masked]> writes:

> Hi,
>
> in flex-2.6.4, the $(LIBOBJDIR) does contain source files only,
> eventually required via LDADD=$(LIBOBJ) in another directory.
>
> Now with --disable-dependency-tracking, an out of source build fails
> because $top_builddir/$(LIBOBJDIR) is not created by anyone, see
> the discussion in https://github.com/westes/flex/issues/244 and
> http://lists.gnu.org/archive/html/autoconf-patches/2017-07/msg00002.html
>
> I have no idea for how to fix automake for this situation, but it
> feels like automake should add this line to src/Makefile.in here:
>
> $(LIBOBJS): $(LIBOBJDIR)$(am__dirstamp)
>
> Thanks!
> /haubi/

I confirm that this is an Automake issue.  After some digging I think
'automake' should call the 'require_build_directory' subroutine for the
LIBOBJDIR variable.  However I don't have time to investigate more right
now.

Thanks for the report.

-- 
Mathieu Lirzin
GPG: F2A3 8D7E EB2B 6640 5761  070D 0ADE E100 9460 4D37